Subject: Re: *** missing separator. Stop. error when running make
From: [email-masked] (Stephen Vance)

16 Oct 1998 08:15:15 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Alexei Karpov <[email-masked]>
Cc: [email-masked]

Alexei Karpov wrote:

> Hi,
>
>     My makefile has string which contain ( f.e. ) next text :
> echo I do not know why it's does not work.
> When I run make utility I get next error : *** missing separator.  Stop.
>
> Under Unix it works properly, why it does not work
> under CygWin32. May be anybody has ever had the
> same error.
>
> I use :
> GNU Make version 3.75-B19, by Richard Stallman and Roland McGrath.
> Copyright (C) 1988, 89, 90, 91, 92, 93, 94, 95, 96
>         Free Software Foundation, Inc.
>
> Thanks a lot,

This comes up frequently.

Either you have spaces instead of a tab before your command lines

OR

Your makefile has carriage returns at the end of some of the lines.

--
Stephen Vance                           |  http://www.deneb.com
Deneb Robotics, Inc.                    |  mailto:[email-masked]
5500 New King Street                    |  Phone: (248) 267-9696
Troy, MI 48098-2615                     |  Fax:   (248) 267-8585

What is done well is done quickly enough. -Augustus Caesar

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".